CVE-2020-15676

NameCVE-2020-15676
DescriptionFirefox sometimes ran the onload handler for SVG elements that the DOM sanitizer decided to remove, resulting in JavaScript being executed after pasting attacker-controlled data into a contenteditable element. This vulnerability affects Firefox < 81, Thunderbird < 78.3, and Firefox ESR < 78.3.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2387-1, DLA-2408-1, DSA-4768-1, DSA-4770-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid82.0-1fixed
firefox-esr (PTS)stretch68.10.0esr-1~deb9u1vulnerable
stretch (security)78.4.0esr-1~deb9u1fixed
buster68.12.0esr-1~deb10u1vulnerable
buster (security)78.4.0esr-1~deb10u2fixed
bullseye78.3.0esr-2fixed
sid78.4.0esr-2fixed
thunderbird (PTS)stretch1:68.10.0-1~deb9u1vulnerable
stretch (security)1:78.4.0-1~deb9u1fixed
buster1:68.12.0-1~deb10u1vulnerable
buster (security)1:78.4.0-1~deb10u1fixed
bullseye1:68.12.0-1vulnerable
sid1:78.4.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)81.0-1
firefox-esrsourcestretch78.3.0esr-1~deb9u1DLA-2387-1
firefox-esrsourcebuster78.3.0esr-1~deb10u1DSA-4768-1
firefox-esrsource(unstable)78.3.0esr-1
thunderbirdsourcestretch1:78.3.1-2~deb9u1DLA-2408-1
thunderbirdsourcebuster1:78.3.1-2~deb10u2DSA-4770-1
thunderbirdsource(unstable)1:78.3.1-1

Notes

https://www.mozilla.org/en-US/security/advisories/mfsa2020-42/#CVE-2020-15676
https://www.mozilla.org/en-US/security/advisories/mfsa2020-43/#CVE-2020-15676
https://www.mozilla.org/en-US/security/advisories/mfsa2020-44/#CVE-2020-15676

Search for package or bug name: Reporting problems